> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lista pedidos satelital com filtros opcionais

> Requisição para listar pedidos satelital de acordo com filtros opcionais



## OpenAPI

````yaml GET /satellite/orders
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /satellite/orders:
    get:
      description: Requisição para listar pedidos satelital de acordo com filtros opcionais
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: |-
            Define o formato da requisição.

            🔹 **Valor padrão:**
            ```
            application/json
            ```
            📌 **Dica:** Copie e cole esse valor no campo Content-Type.
          schema:
            type: string
            example: application/json
        - name: client_id
          in: header
          required: true
          description: Id do cliente
          schema:
            type: string
            example: client_id
        - name: access_token
          in: header
          required: true
          description: Token gerado.
          schema:
            type: string
            example: access_token
        - name: name
          in: query
          required: false
          schema:
            type: string
            example: name
        - name: customerId
          in: query
          required: false
          schema:
            type: integer
            format: int64
            example: customerId
        - name: contractId
          in: query
          required: false
          schema:
            type: integer
            format: int64
            example: contractId
        - name: showContracted
          in: query
          required: false
          schema:
            type: boolean
            default: 'false'
            example: 'false'
        - name: page
          in: query
          description: Número da página para paginação.
          required: false
          schema:
            type: integer
            format: int32
            default: 1
            example: 0
        - name: pageSize
          in: query
          description: Tamanho da página para paginação.
          required: false
          schema:
            type: integer
            format: int32
            default: 24
            example: 24
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                id: 43
                idRMS: 86695
                name: Teste Moreira
                customer:
                  id: 47926
                  name: Broker 1
                cnpj: string
                virtualContract:
                  id: 45496
                  description: Contrato Flat
                  franchise: 1024
                  sharingType: 1
                  externalId: string
                createdAt: '2025-05-05T00:00:00'
                status: ACTIVE
                value: '1'
                activationPrice: '1.5'
                createdBy: carla.amaral.novo
                kilobyteExcPrice: '0.25'
                loyaltyType: 2
                loyaltyTime: 12
                penalty: string
                tradeInMonths: 12
                preActivationExemptTraffic: 12
                activationDate: '2025-05-05T00:00:00'
                nbPreActivationDays: 1
                chargeActivationFeeOnTransfer: true
                accountNotCharged: false
                franchise: 1024
                parentIdMOT: 31556
                parentIdAccount: 0
                parentIdCustomer: 10000
                processLog: string
        '204':
          description: No Content
          content:
            application/json:
              example: No Content
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                    description: Erro encontrado.
              example:
                errors: Parameter not found
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
              example:
                valueInBytes: 1235
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
              example:
                errors: O acesso ao recurso foi negado.
        '404':
          description: URI de API/Recurso inexistente para processamento.
          content:
            application/json:
              schema:
                type: object
              example:
                errors: URI de API/Recurso inexistente para processamento.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                    description: Erro encontrado.
              example:
                errors: Parameter not found

````